Bug 1323594 (CVE-2016-3948) - CVE-2016-3948 squid: denial of service issue in HTTP response processing
Summary: CVE-2016-3948 squid: denial of service issue in HTTP response processing
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-3948
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1322770 1323591
Blocks: 1323611
TreeView+ depends on / blocked
 
Reported: 2016-04-04 07:50 UTC by Andrej Nemec
Modified: 2021-02-17 04:06 UTC (History)
6 users (show)

Fixed In Version: squid 3.5.16
Doc Type: Bug Fix
Doc Text:
An incorrect boundary check was found in the way squid handled the Vary header in HTTP responses, which could lead to an assertion failure. A malicious HTTP server could use this flaw to crash squid using a specially crafted HTTP response.
Clone Of:
Environment:
Last Closed: 2016-11-04 09:03:46 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2600 0 normal SHIPPED_LIVE Moderate: squid security, bug fix, and enhancement update 2016-11-03 12:12:25 UTC

Description Andrej Nemec 2016-04-04 07:50:34 UTC
Due to incorrect bounds checking Squid is vulnerable to a denial of service attack when processing HTTP responses.

External references:

http://www.squid-cache.org/Advisories/SQUID-2016_4.txt

Upstream fix:

http://www.squid-cache.org/Versions/v3/3.5/changesets/squid-3.5-14016.patch

References:

http://seclists.org/oss-sec/2016/q2/3

Comment 2 Cedric Buissart 2016-04-07 09:21:20 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. 

For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 4 Fedora Update System 2016-07-12 20:28:09 UTC
squid-3.5.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-07-12 23:52:51 UTC
squid-3.5.10-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2016-11-03 21:17:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2600 https://rhn.redhat.com/errata/RHSA-2016-2600.html


Note You need to log in before you can comment on or make changes to this bug.